Package com.enonic.xp.issue

## Class Issue

- java.lang.Object
- - com.enonic.xp.issue.Issue

- Direct Known Subclasses:
    `PublishRequestIssue`

      public class Issue
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Issue.Builder<B extends Issue.Builder>` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Issue​(Issue.Builder<?> builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Issue.Builder` | `create()` |
    `static Issue.Builder` | `create​(Issue source)` |
    `PrincipalKeys` | `getApproverIds()` |
    `Instant` | `getCreatedTime()` |
    `PrincipalKey` | `getCreator()` |
    `String` | `getDescription()` |
    `IssueId` | `getId()` |
    `long` | `getIndex()` |
    `IssueType` | `getIssueType()` |
    `Instant` | `getModifiedTime()` |
    `PrincipalKey` | `getModifier()` |
    `IssueName` | `getName()` |
    `PublishRequest` | `getPublishRequest()` |
    `IssueStatus` | `getStatus()` |
    `String` | `getTitle()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Issue

          protected Issue​(Issue.Builder<?> builder)

  - ### Method Detail

    - #### getId

          public IssueId getId()

    - #### getIndex

          public long getIndex()

    - #### getTitle

          public String getTitle()

    - #### getName

          public IssueName getName()

    - #### getDescription

          public String getDescription()

    - #### getCreatedTime

          public Instant getCreatedTime()

    - #### getModifiedTime

          public Instant getModifiedTime()

    - #### getStatus

          public IssueStatus getStatus()

    - #### getCreator

          public PrincipalKey getCreator()

    - #### getModifier

          public PrincipalKey getModifier()

    - #### getApproverIds

          public PrincipalKeys getApproverIds()

    - #### getPublishRequest

          public PublishRequest getPublishRequest()

    - #### getIssueType

          public IssueType getIssueType()

    - #### create

          public static Issue.Builder create()

    - #### create

          public static Issue.Builder create​(Issue source)